{% extends "base.html" %}
{% load i18n %}
{% load staticfiles %}

{% block title %}WDMS | Append role{% endblock title%}

{% block head %}
  <style type="text/css">
  #one{width:250px; height:180px; float:left}
  #two{width:50px; height:180px; float:left}
  #three{width:250px; height:180px; float:left}
  .btn{width:70px; height:50px; position:absolute; left:50%; margin-left:-35px; cursor:pointer; }
  </style>
  <link rel="stylesheet" type="text/css" href="{% static 'css/group_append.css' %}" />
  <script type="text/javascript" src="{% static 'js/group.js' %}"></script>
{% endblock head %}

 <!--  -->
{% block content %}

  <div style="text-indent:32.8em;">
    <a href="/">Home</a>›
    <a href="../">Authencation</a>› Add Role
  </div>
  <table>
    <tbody>
      <tr>
        <td style="height:auto;"></td>
      </tr>
    </tbody>
  </table>
  <br>

  <div style="text-align:center;">
    <h1>Role</h1>
    <br>
    <form method="post" role="form", id="permissionform" action="{% url 'group_append' %}">
	  {% csrf_token %}
      <table>
        <tbody>
          <label for="Name">{{ name_form.label }}&nbsp;</label>
          <input type="text" name="name" maxlength="80" required="">
        </tbody>
      </table>

      <br/>
      <table width="950" align="center" border="0" cellpadding="0" cellspacing="0" class="newContTab">
        <tr>
          <td>
            <div>
              <div>
                <select multiple="multiple" id="choose" style="width:430px; height:500px; float:left; border:4px #A0A0A4 outset; padding:4px;">
                  {% for data in permission_form %}
                    <option value="{{ data| first }}">{{ data | last }}</option>
                  {% endfor %}
                </select>
              </div>
              <div style="float:left">
                <span id="add">
                <input type="button" class="btn" style="margin-top:129px;" value=">"/>
                </span>
                <br/>
<!--                 <span id="add_all">
                <input type="button" class="btn" value=">>"/>
                </span>
                <br/> -->
                <span id="remove">
                <input type="button" class="btn" style="margin-top:258px;" value="<"/>
                </span>
<!--                 <br/>
                <span id="remove_all">
                <input type="button" class="btn" value="<<"/>
                </span> -->
              </div>
              <div>
                <select multiple="multiple" id="chosen" name="permission" form="permissionform" style="width:430px; height:500px; float:right;border:4px #A0A0A4 outset; padding:4px;">
                </select>
              </div>
            </div>
          </td>
        </tr>
      </table>

      <br/>
      <div style="text-align:center">
          <input type="submit" value="Submit"/>&nbsp;&nbsp;&nbsp;&nbsp;
          <input type="submit" value="Return" onclick="window.history.back(); return false;" />
      </div>
    </form>
</div>

{% endblock content %}